Feed updates
Commodities.LHK7/UScremovedCommodities.Index.RLEANHOG/UScwent liveCommodities.GOF7/USDwent liveCommodities.LIZ6/CNYwent liveCommodities.CFK7/UScwent liveCommodities.Index.TGAS/EURaddedEquity.US.ANT/USDaddedCommodities.LIF7/CNYaddedEquity.CN.600150/CNYaddedEquity.CN.300059/CNYaddedEquity.CN.600000/CNYaddedEquity.CN.600276/CNYaddedEquity.CN.002415/CNYaddedEquity.CN.601601/CNYadded
View all
Developer Hub
EntropyFortuna

Reveal the random value for a given sequence number and blockchain.

Reveal the random value for a given sequence number and blockchain. Given a sequence number, retrieve the corresponding random value that this provider has committed to. This endpoint will not return the random value unless someone has requested the sequence number on-chain. Every blockchain supported by this service has a distinct sequence of random numbers and chain_id. Callers must pass the appropriate chain_id to ensure they fetch the correct random number.

GET
/v1/chains/{chain_id}/revelations/{sequence}

Path Parameters

chain_id*string
sequence*integer
Formatint64
Range0 <= value

Query Parameters

encoding?|null
block_number?|
Formatint64
Range0 <= value

Response Body

Random value successfully retrieved

application/json
  1. response
value*||
Example Request
curl -X GET 'https://fortuna.dourolabs.app/v1/chains/string/revelations/0'
Example Response
{  "value": {    "data": null,    "encoding": "hex"  }}